/*

  Infrared PIR Sensor Module HC-SR501

  Parts required:
  - Arduino Board
  - Infrared PIR Sensor Module HC-SR501
  - Resistor 330Ohm

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 07 Sep 2019
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/
int inputPin = 7;                             // set input from PIR to pin 7
int ledPin = 6;                               // set LED to pin 6
int digitalReadValue;                         // set variable digitalReadValue for store state of PIR input

void setup() {
  pinMode(inputPin, INPUT);                   // set inputPin to INPUT
  pinMode(ledPin, OUTPUT);                    // set ledPin to OUTPUT
  Serial.begin(9600);                         // start serial communication
}

void loop() {
  digitalReadValue = digitalRead(inputPin);   // read digital pin 7 and store in digitalReadValue
  if (digitalReadValue == 1) {                // if digitalReadValue is HIGH do
    Serial.println("Active");                 // print text to serial monitor
    digitalWrite(ledPin, HIGH);               // turn on LED

  }
  else {
    Serial.println("Not Active...");          // print text to serial monitor
    digitalWrite(ledPin, LOW);                // turn off LED
  }

}
